<?php
namespace Magento\Theme\Block\Adminhtml\Design\Config\Edit\Scope;

/**
 * Interceptor class for @see \Magento\Theme\Block\Adminhtml\Design\Config\Edit\Scope
 */
class Interceptor extends \Magento\Theme\Block\Adminhtml\Design\Config\Edit\Scope implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\App\ScopeResolverPool $scopeResolverPool)
    {
        $this->___init();
        parent::__construct($context, $scopeResolverPool);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
